path: /build/build/libmicrohttpd-net-libs-0.9.64.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test ssl" emerge net-libs/libmicrohttpd -pv -t && \
    USE="-test ssl" emerge -j ${JOBS} --nodeps net-libs/libmicrohttpd
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libmicrohttpd && luet-portage --dir
    /pkgdir/libmicrohttpd net-libs/libmicrohttpd && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e96b4189e3d4276ec007c59afba8ebe7780e0445ab8273209ce135f88eebb5ad
  package:
    name: libmicrohttpd
    version: 0.9.64
    category: net-libs
    use_flags:
    - -test
    - ssl
    requires:
    - name: libesmtp
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Small C library to run an HTTP server as part of another application
    uri:
    - https://www.gnu.org/software/libmicrohttpd/
    license: LGPL-2.1
    buildtimestamp: 2023-10-13 07:24:59.362409169 +0000 UTC m=+129.648298193
    labels:
      DEPEND: ssl? ( dev-libs/libgcrypt:0= net-libs/gnutls ) test? ( ssl? ( net-misc/curl[ssl]
        ) )
      IUSE: epoll messages ssl static-libs test abi_x86_32 abi_x86_64 abi_x86_x32
        abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: ssl? ( dev-libs/libgcrypt:0= net-libs/gnutls )
      emerge.packages: net-libs/libmicrohttpd
      kit: net-kit
      original.package.name: net-libs/libmicrohttpd
      original.package.slot: "0"
      original.package.version: 0.9.64
    treedir: /build/packages
  package_dir: /pkgdir/libmicrohttpd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3d16bb77aed269883e4d58b53984583c4245cd34338701e5333fdd145ea47de8
compressiontype: zstd
files:
- usr/include/microhttpd.h
- usr/lib64/libmicrohttpd.so
- usr/lib64/libmicrohttpd.so.12
- usr/lib64/libmicrohttpd.so.12.51.0
- usr/lib64/pkgconfig/libmicrohttpd.pc
- usr/share/doc/libmicrohttpd-0.9.64/AUTHORS.bz2
- usr/share/doc/libmicrohttpd-0.9.64/ChangeLog.bz2
- usr/share/doc/libmicrohttpd-0.9.64/NEWS
- usr/share/doc/libmicrohttpd-0.9.64/README.bz2
- usr/share/info/libmicrohttpd-tutorial.info.bz2
- usr/share/info/libmicrohttpd.info.bz2
- usr/share/info/libmicrohttpd_performance_data.png
- usr/share/man/man3/libmicrohttpd.3.bz2
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/BUILD_TIME
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/CATEGORY
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/CBUILD
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/CFLAGS
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/CHOST
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/CONTENTS
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/COUNTER
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/CXXFLAGS
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/DEFINED_PHASES
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/DEPEND
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/DESCRIPTION
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/EAPI
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/FEATURES
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/HOMEPAGE
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/INHERITED
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/IUSE
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/KEYWORDS
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/LDFLAGS
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/LICENSE
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/NEEDED
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/PF
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/PROVIDES
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/RDEPEND
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/REQUIRES
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/SIZE
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/SLOT
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/USE
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/environment.bz2
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/libmicrohttpd-0.9.64.ebuild
- var/db/pkg/net-libs/libmicrohttpd-0.9.64/repository
package_cacheimage: ""
runtime:
  name: libmicrohttpd
  version: 0.9.64
  category: net-libs
  use_flags:
  - -test
  - ssl
  requires:
  - name: libgcrypt
    version: '>=0'
    category: dev-libs
  - name: gnutls
    version: '>=0'
    category: net-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Small C library to run an HTTP server as part of another application
  uri:
  - https://www.gnu.org/software/libmicrohttpd/
  license: LGPL-2.1
  labels:
    DEPEND: ssl? ( dev-libs/libgcrypt:0= net-libs/gnutls ) test? ( ssl? ( net-misc/curl[ssl]
      ) )
    IUSE: epoll messages ssl static-libs test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
      abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: ssl? ( dev-libs/libgcrypt:0= net-libs/gnutls )
    emerge.packages: net-libs/libmicrohttpd
    kit: net-kit
    original.package.name: net-libs/libmicrohttpd
    original.package.slot: "0"
    original.package.version: 0.9.64
